# Interface methods for submodule: vnl_matrix_fixed_ref_const
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: vnl_matrix_fixed_ref_const
class vnl_matrix_fixed_ref_constProxy():
	def get_row(self, row_index: int) -> vnl_vector_fixed:
		""""""
		...

	def get_column(self, column_index: int) -> vnl_vector_fixed:
		""""""
		...

	def get_diagonal(self) -> vnl_vector:
		""""""
		...

	def data_block(self):
		""""""
		...

	def begin(self):
		""""""
		...

	def end(self):
		""""""
		...

	def __call__(self, r: int, c: int) -> float:
		""""""
		...

	def rows(self) -> int:
		""""""
		...

	def columns(self) -> int:
		""""""
		...

	def cols(self) -> int:
		""""""
		...

	def size(self) -> int:
		""""""
		...

	def print(self, os) -> None:
		""""""
		...

	def copy_out(self, arg0) -> None:
		""""""
		...

	def transpose(self) -> vnl_matrix_fixed:
		""""""
		...

	def conjugate_transpose(self) -> vnl_matrix_fixed:
		""""""
		...

	def extract(self, rowz: int, colz: int, top: int = 0, left: int = 0) -> vnl_matrix:
		""""""
		...

	def get_n_rows(self, rowstart: int, n: int) -> vnl_matrix:
		""""""
		...

	def get_n_columns(self, colstart: int, n: int) -> vnl_matrix:
		""""""
		...

	def array_one_norm(self) -> float:
		""""""
		...

	def array_two_norm(self) -> float:
		""""""
		...

	def array_inf_norm(self) -> float:
		""""""
		...

	def absolute_value_sum(self) -> float:
		""""""
		...

	def absolute_value_max(self) -> float:
		""""""
		...

	def operator_one_norm(self) -> float:
		""""""
		...

	def operator_inf_norm(self) -> float:
		""""""
		...

	def frobenius_norm(self) -> float:
		""""""
		...

	def fro_norm(self) -> float:
		""""""
		...

	def rms(self) -> float:
		""""""
		...

	def min_value(self) -> float:
		""""""
		...

	def max_value(self) -> float:
		""""""
		...

	def arg_min(self) -> int:
		""""""
		...

	def arg_max(self) -> int:
		""""""
		...

	def mean(self) -> float:
		""""""
		...

	def empty(self) -> bool:
		""""""
		...

	@overload
	def is_identity(self) -> bool:
		""""""
		...

	@overload
	def is_identity(self, tol: float) -> bool:
		""""""
		...

	@overload
	def is_zero(self) -> bool:
		""""""
		...

	@overload
	def is_zero(self, tol: float) -> bool:
		""""""
		...

	def is_finite(self) -> bool:
		""""""
		...

	def has_nans(self) -> bool:
		""""""
		...

	def assert_size(self, arg0: int, arg1: int) -> None:
		""""""
		...

	def assert_finite(self) -> None:
		""""""
		...

	@staticmethod
	@overload
	def add(a, b, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def add(a, b: float, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def sub(a, b, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def sub(a, b: float, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def sub(a: float, b, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def mul(a, b, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def mul(a, b: float, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def div(a, b, r) -> None:
		""""""
		...

	@staticmethod
	@overload
	def div(a, b: float, r) -> None:
		""""""
		...

	@staticmethod
	def equal(a, b) -> bool:
		""""""
		...

